Subject: Re: bug#30786: Save text properties in desktop

From: Noam Postavsky <[email-masked]>
Date: Tue, 13 Mar 2018 22:37:06 -0400

Drew Adams <[email-masked]> writes:

>> If the only problem is with non-readable property values then we could
>> check for such values and not to write them to the desktop file.
>> 
>> > Maybe solving Bug#24982 would help?
>> 
>> This would help on reading the desktop, but maybe better not to save
>> non-readable values in the first place.
>
> No.  If the problem is reading then that's where the solution
> should be located - not writing.  It has happened quite a few
> times that something unreadable by Emacs has later become
> readable.

You mean the print syntax changes to become readable?  But not that
Emacs can later read some unreadable #<...> syntax, right?

> We have `condition-case' for most errors.  We have little or
> no control over read errors.
>
> Dunno whether we need a complete read-error-handling construct
> a la `condition-case', but we at least need a way to let Emacs
> ignore all read errors.  And preferably within some scope (e.g.
> let-bind a variable).

`condition-case' works for read errors too, afaik, but you're suggesting
a different kind of control is needed.  Something more like Common Lisp
restart-case, I guess?

That could be useful in general, but solving this particular bug by
avoiding writing unreadable objects as Juri suggests seems okay too (and
much less work, hence more likely to actually happen instead of just
sitting for years).